#pragma once
#include "AccountHolder.h"
#include "AuctionBrowser.h"
#include "Seller.h"

using namespace std;

namespace Example
{
   // A Buyer has a bank account, and plays the role of browser during
   // online auctions.
   class Buyer : public AccountHolder, public AuctionBrowser
   {
   public:
      Buyer(const string& name, const string& address,
         AuctionHouse& auctioneer, const string& username);
      virtual ~Buyer();

      // view a Seller's online auction offering
      virtual void lookAt(Seller& vendor, const string& what, float cost);
   };
}