// MultipleInheritance.cpp : Defines the entry point for the console application.
//
#include "AuctionHouse.h"
#include "Bank.h"
#include "Buyer.h"
#include "Seller.h"

using namespace Example;

int main(int argc, char* argv[])
{
   AuctionHouse eBay;
   Bank paypal;
   Bank bOfA;

   Seller dave("Dave S. Pinot", "123 Infomercial Way", eBay, "daves@pinot.com");
   dave.changePassword("powRsellR");
   dave.chooseBank(bOfA);
   dave.deposit(100000.0);

   Buyer nathan("Nathan Scandella", "4920 Erskine Way", eBay, "nathan@hotmail.com");
   nathan.changePassword("byRbWare");
   nathan.chooseBank(paypal);
   nathan.deposit(45.0);

   AuctionBrowser anonymous("windowshopper@msn.com", eBay);

   BrowserList browsers;
   browsers.push_back(&anonymous);
   browsers.push_back(&nathan);

   // dave has just listed some snake oil, so now the auction users can take a look at it
   for (BrowserList::iterator browser = browsers.begin(); browser != browsers.end(); ++browser)
   {
      (*browser)->lookAt(dave, "Snake Oil", 19.99);
   }

   eBay.advertise();

   // time for banks to send out their monthly statements
   paypal.sendOutStatements("July 4, 1776");
   bOfA.sendOutStatements("July 4, 1776");

   return 0;
}

